- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets a list of Products.
HTTP request
GET https://retail.googleapis.com/v2/{parent=projects/*/locations/*/catalogs/*/branches/*}/products
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent branch resource name, such as If the caller does not have permission to list |
Query parameters
| Parameters | |
|---|---|
pageSize |
Maximum number of If this field is negative, an INVALID_ARGUMENT error is returned. |
pageToken |
A page token When paginating, all other parameters provided to |
filter |
A filter to apply on the list results. Supported features:
If the field is unrecognizable, an INVALID_ARGUMENT error is returned. If the specified |
readMask |
The fields of If "*" is provided, all fields are returned. If an unsupported or unknown field is provided, an INVALID_ARGUMENT error is returned. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body must be empty.
Response body
Response message for ProductService.ListProducts method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"products": [
{
object ( |
| Fields | |
|---|---|
products[] |
The |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
retail.products.list
For more information, see the IAM documentation.